package de.hdm_stuttgart.battlearena.Controller;

import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.Button;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.net.URL;
import java.util.ResourceBundle;

public class MainMenuController extends SceneLoader {
    @FXML public BorderPane parent;
    @FXML public Button exitButton;

    public void playScene() {

        Pane pane = new Pane(loadScene("Play"));
//        get(0) returns the first item from the getChildren() List
        parent.setCenter(pane.getChildren().get(0));
    }

    public void exit() {
        Stage stage = (Stage) exitButton.getScene().getWindow();
        stage.close();
    }
}
